<?php
$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_7a7cffa" . "4d53ef9e" . "be07145b" . "1a5bf3d8" . "5" => base64_decode("L2ludHJhbmV0L2RvY3VtZW5" . "0cy9pbWFnZXMvbWFya2VyLm" . "dpZg=="), "_b969b955d1355379880" . "c0b97b2e4f679" => base64_decode("Y2ZnX21hcmtlcl9hdXRvX2dl" . "bmVyYXRpb25fcHJlZml4"), "_4ca36bbc844" . "fd9e04b91f8a" . "27c589890" => base64_decode("Z2x5cGhpY29ucyBnbHlwaGljb25zLW1" . "hcA=="), "_aed8da0f" . "19091214b" . "78f803510" . "48517c" => base64_decode("c3RybG" . "Vu"), "_f1a1c12258c339542b5f" . "89ca976d35f1" => base64_decode("VVBEQVRFIEVSTVNfZGF0YSBTRVQgZGF0ZV9sYXN0" . "X2FjY2Vzc2VkPWludDpkYXRlIFdIRVJFIGlkPWlu" . "dDppZA=="), "_bc9f5b3b6a495ee55" . "ebb7158ab184dc4" => base64_decode("VVBEQVRFIEVSTVNfZGF0YSBTRVQgdGl0bGU9c3RyOnRpdGxlIFdIRV" . "JFIGlkPWludDppZA=="), "_5e9a99dc0dd49b907abf1b35e96965" . "f8" => base64_decode("dHJ" . "pbQ" . "=="));
use Claromentis\Core\Services;
use Claromentis\Documents\DocumentsApplication;
use Claromentis\Search\Indexing\IndexingQueue;





class ERMSMarker extends ERMSDataObj
{
    
    
    
    
    public function __construct()
    {
        parent::__construct(DOC_TYPE_MARKER);
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function Load($id, $_becefc630ea26637f10f240476e32255 = false)
    {
        $db = \Claromentis\Core\Services::I()->GetDb();
        if (!parent::Load($id, $_becefc630ea26637f10f240476e32255)) {
            return false;
        }
        $this->date_last_accessed = new Date();
        $db->unsafe_query = true;
        $db->query($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_f1a1c12258c339542b5f" . "89ca976d35f1"], $this->GetDate($this->date_last_accessed), $id);
        return true;
    }
    
    
    
    
    
    
    
    public function Save()
    {
        $db = Services::I()->GetDb();
        $_b34ab5f1ac69818b996067e04caa4631 = DocumentsApplication::getConfig();
        $_b969b955d1355379880c0b97b2e4f679 = $_b34ab5f1ac69818b996067e04caa4631->Get($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_b969b955d1355379880c0b97b2" . "e4f679"]);
        if (!parent::Save()) {
            return false;
        }
        if (!$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_aed8da0f19091214b78f80" . "351048517c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_5e9a99dc0dd49b907abf1b35e96965f" . "8"]($this->title)) > 0) {
            $title = $_b969b955d1355379880c0b97b2e4f679 . $this->doc_id;
            $db->query($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_bc9f5b3" . "b6a495ee" . "55ebb715" . "8ab184dc" . "4"], $title, $this->id);
        }
        IndexingQueue::Reindex($this->GetSearchType(), $this->doc_id);
        return true;
    }
    
    
    
    
    
    
    public function GetSmallIconUrl()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_7a7cffa4" . "d53ef9ebe" . "07145b1a5" . "bf3d85"];
    }
    
    
    
    
    
    
    public function GetSmallIconCSSClass()
    {
        return $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_4ca36bbc844fd9e" . "04b91f8a27c58989" . "0"];
    }
    protected function _NewObject()
    {
        return new ERMSMarker();
    }
}